Create PlanGroup - m3ter Documentation
Create PlanGroup
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/plangroups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"currency": "<string>",
"version": 123,
"customFields": {},
"code": "<string>",
"minimumSpend": 1,
"minimumSpendDescription": "<string>",
"standingCharge": 1,
"standingChargeDescription": "<string>",
"standingChargeBillInAdvance": true,
"minimumSpendBillInAdvance": true,
"accountId": "<string>",
"minimumSpendAccountingProductId": "<string>",
"standingChargeAccountingProductId": "<string>"
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/plangroups"
payload = {
"name": "<string>",
"currency": "<string>",
"version": 123,
"customFields": {},
"code": "<string>",
"minimumSpend": 1,
"minimumSpendDescription": "<string>",
"standingCharge": 1,
"standingChargeDescription": "<string>",
"standingChargeBillInAdvance": True,
"minimumSpendBillInAdvance": True,
"accountId": "<string>",
"minimumSpendAccountingProductId": "<string>",
"standingChargeAccountingProductId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
currency: '<string>',
version: 123,
customFields: {},
code: '<string>',
minimumSpend: 1,
minimumSpendDescription: '<string>',
standingCharge: 1,
standingChargeDescription: '<string>',
standingChargeBillInAdvance: true,
minimumSpendBillInAdvance: true,
accountId: '<string>',
minimumSpendAccountingProductId: '<string>',
standingChargeAccountingProductId: '<string>'
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/plangroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/plangroups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'currency' => '<string>',
'version' => 123,
'customFields' => [],
'code' => '<string>',
'minimumSpend' => 1,
'minimumSpendDescription' => '<string>',
'standingCharge' => 1,
'standingChargeDescription' => '<string>',
'standingChargeBillInAdvance' => true,
'minimumSpendBillInAdvance' => true,
'accountId' => '<string>',
'minimumSpendAccountingProductId' => '<string>',
'standingChargeAccountingProductId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error ": . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/plangroups"
payload := strings.NewReader(`{
"name": "<string>",
"currency": "<string>",
"version": 123,
"customFields": {},
"code": "<string>",
"minimumSpend": 1,
"minimumSpendDescription": "<string>",
"standingCharge": 1,
"standingChargeDescription": "<string>",
"standingChargeBillInAdvance": true,
"minimumSpendBillInAdvance": true,
"accountId": "<string>",
"minimumSpendAccountingProductId": "<string>",
"standingChargeAccountingProductId": "<string>"
}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.post("https://api.m3ter.com/organizations/{orgId}/plangroups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body(`{
"name": "<string>",
"currency": "<string>",
"version": 123,
"customFields": {},
"code": "<string>",
"minimumSpend": 1,
"minimumSpendDescription": "<string>",
"standingCharge": 1,
"standingChargeDescription": "<string>",
"standingChargeBillInAdvance": true,
"minimumSpendBillInAdvance": true,
"accountId": "<string>",
"minimumSpendAccountingProductId": "<string>",
"standingChargeAccountingProductId": "<string>"
}`)
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/plangroups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"currency\": \"<string>\",\n \"version\": 123,\n \"customFields\": {},\n \"code\": \"<string>\",\n \"minimumSpend\": 1,\n \"minimumSpendDescription\": \"<string>\",\n \"standingCharge\": 1,\n \"standingChargeDescription\": \"<string>\",\n \"standingChargeBillInAdvance\": true,\n \"minimumSpendBillInAdvance\": true,\n \"accountId\": \"<string>\",\n \"minimumSpendAccountingProductId\": \"<string>\",\n \"standingChargeAccountingProductId\": \"<string>\"}"
response = http.request(request)
puts response.read_body
Response Format
200
{
"id": "<string>",
"version": 123,
"customFields": {},
"name": "<string>",
"code": "<string>",
"standingCharge": 123,
"standingChargeDescription": "<string>",
"minimumSpend": 123,
"minimumSpendDescription": "<string>",
"currency": "<string>",
"standingChargeBillInAdvance": true,
"minimumSpendBillInAdvance": true,
"accountId": "<string>",
"minimumSpendAccountingProductId": "<string>",
"standingChargeAccountingProductId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
4XX Error Format
{
"message": "<string>"
}
5XX Error Format
{
"message": "<string>"
}
Authorizations
Authorization
Type: string
Location: header
Required: Yes